package cpcns.utils;

import com.lowagie.text.Document;
import com.lowagie.text.DocumentException;
import com.lowagie.text.Image;
import com.lowagie.text.PageSize;
import com.lowagie.text.Utilities;
import com.lowagie.text.pdf.PdfWriter;
import com.lowagie.text.pdf.RandomAccessFileOrArray;
import com.lowagie.text.pdf.codec.TiffImage;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.net.URL;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class TifToPdf {

   public static void main(String[] args) {
      Pattern pattern = Pattern.compile("^((\\d{2}(([02468][048])|([13579][26]))[\\-\\/\\s]?((((0?[13578])|(1[02]))[\\-\\/\\s]?((0?[1-9])|([1-2][0-9])|(3[01])))|(((0?[469])|(11))[\\-\\/\\s]?((0?[1-9])|([1-2][0-9])|(30)))|(0?2[\\-\\/\\s]?((0?[1-9])|([1-2][0-9])))))|(\\d{2}(([02468][1235679])|([13579][01345789]))[\\-\\/\\s]?((((0?[13578])|(1[02]))[\\-\\/\\s]?((0?[1-9])|([1-2][0-9])|(3[01])))|(((0?[469])|(11))[\\-\\/\\s]?((0?[1-9])|([1-2][0-9])|(30)))|(0?2[\\-\\/\\s]?((0?[1-9])|(1[0-9])|(2[0-8]))))))(\\s(((0?[0-9])|([1-2][0-3]))\\:([0-5]?[0-9])((\\s)|(\\:([0-5]?[0-9])))))?$");
      Matcher m = pattern.matcher("20131302");
      if(m.matches()) {
         System.out.println("转换日期格式失败");
      } else {
         System.out.println("转换日期格式成功");
      }

   }

   private static void getFile(String path) {
      File file = new File(path);
      File[] array = file.listFiles();

      for(int i = 0; i < array.length; ++i) {
         if(array[i].isFile()) {
            String tifname = array[i].getName().substring(0, array[i].getName().lastIndexOf("."));
            String tifpath = array[i].getPath();
            String pdfpath = path + "//" + tifname + ".pdf";
            File file_ = new File(pdfpath);
            if(!file_.exists()) {
               System.out.println("*****" + i);
               tifToPdf(tifpath, pdfpath);
            }
         }
      }

   }

   public static void tifToPdf(String oldPath, String newPath) {
      Document doc = new Document(PageSize.A4, 0.0F, 0.0F, 0.0F, 0.0F);

      try {
         PdfWriter.getInstance(doc, new FileOutputStream(newPath));
         doc.open();
         RandomAccessFileOrArray e = null;
         String localObject2 = null;
         Object localImage1 = null;
         URL paramURL = Utilities.toURL(oldPath);

         try {
            if(paramURL.getProtocol().equals("file")) {
               localObject2 = paramURL.getFile();
               localObject2 = Utilities.unEscapeURL((String)localObject2);
               e = new RandomAccessFileOrArray((String)localObject2);
            } else {
               e = new RandomAccessFileOrArray(paramURL);
            }

            int pageNums = TiffImage.getNumberOfPages((RandomAccessFileOrArray)e);
            if(pageNums > 0) {
               for(int i = 1; i <= pageNums; ++i) {
                  Image var30 = TiffImage.getTiffImage((RandomAccessFileOrArray)e, i);
                  Image jpg = (Image)var30;
                  float heigth = jpg.getHeight();
                  float width = jpg.getWidth();
                  getPercent(heigth, width);
                  jpg.setAlignment(1);
                  if(width > 1024.0F || heigth > 786.0F) {
                     jpg.scaleAbsolute(mmTopx(179.0F), mmTopx(253.0F));
                  }

                  doc.add(jpg);
               }
            }

            if(e != null) {
               ((RandomAccessFileOrArray)e).close();
            }
         } finally {
            if(e != null) {
               ((RandomAccessFileOrArray)e).close();
            }

         }
      } catch (FileNotFoundException var26) {
         var26.printStackTrace();
      } catch (DocumentException var27) {
         var27.printStackTrace();
      } catch (IOException var28) {
         var28.printStackTrace();
      } finally {
         if(doc != null) {
            doc.close();
         }

      }

   }

   public static int getPercent(float h, float w) {
      boolean p = false;
      float p2 = 0.0F;
      if(h > w) {
         p2 = 210.0F / h * 279.0F;
      } else {
         p2 = 210.0F / w * 279.0F;
      }

      int p1 = Math.round(p2);
      return p1;
   }

   public static float mmTopx(float mm) {
      mm = (float)((double)mm * 3.33D);
      return mm;
   }
}
